USB_AUTOPM_PUT_INTER(9)

NAME
usb_autopm_put_interface_async - decrement a USB interface's PM-usage counter

SYNOPSIS

void usb_autopm_put_interface_async(struct usb_interface * intf);

ARGUMENTS

intf
    the usb_interface whose counter should be decremented

DESCRIPTION

This routine does much the same thing as usb_autopm_put_interface: It decrements intf's usage counter and schedules a delayed autosuspend request if the counter is <= 0. The difference is that it does not perform any synchronization; callers should hold a private lock and handle all synchronization issues themselves.

Typically a driver would call this routine during an URB's completion handler, if no more URBs were pending.

This routine can run in atomic context.

COPYRIGHT